summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2025-01-04 06:31:29 +0000
committerV3n3RiX <venerix@koprulu.sector>2025-01-04 06:31:29 +0000
commit38efae7f3eb932ed41510139679efd5c1e2f5eda (patch)
treed331259e03d114338bc5a96a883b728facdc4cde /eclass/toolchain.eclass
parent5087ee3bf0055aae666159351774f2fb3610e571 (diff)
gentoo auto-resync : 04:01:2025 - 06:31:29
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 85b5a2b23392..d85994855704 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -721,7 +721,7 @@ toolchain_src_prepare() {
gnuconfig_update
- if ! use prefix-guest && [[ -n ${EPREFIX} ]] ; then
+ if ! is_crosscompile && ! use prefix-guest && [[ -n ${EPREFIX} ]] ; then
einfo "Prefixifying dynamic linkers..."
for f in gcc/config/*/*linux*.h ; do
ebegin " Updating ${f}"